Lấy danh sách ký hiệu hóa đơn
GET /<provider>/get-invoice-serials
API dùng để lấy danh sách các ký hiệu hóa đơn đã đăng ký.
Headers
| Name | Required | Description |
|---|---|---|
Authorization | ✅ | Bearer token |
Content-Type | ✅ | application/json |
X-Tax-Code | ✅ | Mã số thuế doanh nghiệp. |
Query Parameters
| Name | Required | Description |
|---|---|---|
inv_type | Loại hóa đơn (1: GTGT, 2: Bán hàng...). Không truyền để lấy tất cả. | |
stax | Mã số thuế người bán (Bắt buộc với Viettel). |
Response
| Name | Description |
|---|---|
data[].year | Năm hiện tại (lấy 2 số cuối) |
data[].inv_type | Loại hóa đơn |
data[].value | Giá trị ký hiệu hóa đơn |
data[].inv_type_name | Mô tả ký hiệu hóa đơn |
data[].template_code | Ký hiệu mẫu hóa đơn (Viettel) |
- cURL
- Response
curl --location 'https://stag-invoice-hub.atomsolution.vn/m-invoice/get-invoice-serials?inv_type=1' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998'
{
"data": [
{
"year": 25,
"inv_type": "1",
"value": "1C25MTS",
"inv_type_name": "Hóa đơn giá trị gia tăng - Máy tính tiền"
},
{
"year": 25,
"inv_type": "1",
"value": "1C25MSH",
"inv_type_name": "Hóa đơn giá trị gia tăng - Máy tính tiền"
}
],
"success": true,
"message": "Thành công"
}